---
id: dimension-value-create
title: "Create a dimension value"
description: "Create dimension value."
sidebar_label: "Create a dimension value"
hide_title: true
hide_table_of_contents: true
api: eJzdVk2P4zYM/SsGT7uAN5mZLfohYA7TnRaYHrbFTIoegmCg2IytXVvSSNRkU8P/vaDkOJ/IFoueeoqiUCTf4yOZDkr0hVOWlNEg4INDSZiVqkXtldHZq2wCTiAHY9FJtnooQcBo8BwNRBHfQQ4kKw9iDveHHmCRg5VOtkjo2KADxfGspBpycPgSlMMSBLmAOfiixlaC6IA2FkGA0oQVOuhz0LLF/QweSsiPUMxqzB7uM7PKqN4DwzDwi2xtww6ub95Dv0ix0dPPptxwwMJoQk18lNY2qoigp588e+5OMzPLT1jQAYY5aKdhyJSBOyaPFHp+l/If33tySldnIbDlCYhdRXZQ7vEVG2NbzpsZcvrrAT4+fszeSMqMy5bYmPXbbF2jw3PBskgE+sOgxlVSq78jPbfXQhaFCZpubwSn7a0s8Pa92KPw9jvo+xxIUXzugibV4nNh9EpVIWnr+UhXSY7Q9/zSYxGcok1UzxKlQ3cXqAYxX6Q6emu0TyTfXF3xxymno4yztfSZD0WB3q9Cw9i+ufSHBVblGeEe03+X+Y0nbN+tVYlZ0OolRM06tA49alK6irU4LfdPP/7w/dgH/6mOnkhW7ITJJknB/zv/yTZFUD4bKpsdVPZsYB1a7hZZkHrl4aH0cFzsZzXccVJNqL6e0l2Wfjjl8iJ4vwP//2mg2Dp9Di1SbXhwW+OjYnnuCpiO5tNub6D20/SYe869bgd2cA0IqImsF9OptGqiQ9PYRtLKuHZSmDbO022bPnG7pI7Yb9aRVnYEw6jn78kI8uHwq3GtJBDw21+ziJvb8HE3q3/Z8ridqAdTcKjhN3HMOlwZdszQU7GvJ1eTK9iRP643z/ZMaiv1Xi7DHpXHSjhW0d6+ubB7B8YIv9DUNlJpDhrL0Q2VnO/2IeQgDpfjuIFrLr6YQ9ctpcc/XdP3fP0S0PFUXbCpU3LJEOcdlMrzuQSxko3HC6m/eRyW39vswu49C2O4lHozZioAcviMm6Mt3y/6HGqUJbqYXrL4kJJ4N2M/Ow8nA7zPty/uigItXbRd7HXMH78/zViVw/+D1pSx++Sad75cp2xNJCWKPd510EhdBVmxbfLJGpaHLXAk+YjqLB9dlyxm5jPqvh/pIf7OxPT9PwBGZ9Y=
sidebar_class_name: "post api-method"
info_path: docs/api/dimensions
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Create a dimension value"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/dimension/{dimensionId}/value"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Create dimension value.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","required":true,"schema":{"type":"integer"},"name":"dimensionId","description":"The ID of the dimension.","example":"123"}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"content":{"application/json":{"schema":{"type":"object","required":["nrn","name"],"properties":{"name":{"type":"string","description":"The name of the dimension value.","example":"Development"},"nrn":{"type":"string","description":"NRN (at or below) where the dimension value applies.","example":"organization=1:account=2:namespace=3:application=4"}},"title":"runtime_configuration_dimension_valueCreate"}}}}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"A system-wide unique ID representing the value.","example":9876},"name":{"type":"string","description":"The name of the dimension value.","example":"Staging"},"status":{"type":"string","description":"The status of this runtime configuration dimension value.","enum":["active","inactive"],"example":"active"},"slug":{"type":"string","description":"A string representing the dimension value.","example":"staging"},"nrn":{"type":"string","description":"NRN (at or below) where the dimension value applies.","example":"organization=1:account=2:namespace=3:application=4"}},"title":"runtime_configuration_dimension_value"}}}}}}
>
  
</StatusCodes>


      